Orxonox: orxonox::ConeCollisionShape Class Reference

# orxonox::ConeCollisionShape Class Reference

`#include <src/orxonox/objects/collisionshapes/ConeCollisionShape.h>`

Inheritance diagram for orxonox::ConeCollisionShape:

List of all members.

## Public Member Functions

| ConeCollisionShape (BaseObject *creator)
float | getHeight () const
float | getRadius () const
void | registerVariables ()
void | setHeight (float value)
void | setRadius (float value)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~ConeCollisionShape ()

## Private Member Functions

btCollisionShape * | createNewShape () const

## Private Attributes

float | height_
float | radius_

## Constructor & Destructor Documentation

orxonox::ConeCollisionShape::ConeCollisionShape | ( | BaseObject * | creator | ) |

References height_, radius_, RegisterObject, registerVariables(), and orxonox::CollisionShape::updateShape().

orxonox::ConeCollisionShape::~ConeCollisionShape | ( |  | ) | `[virtual]`

References orxonox::CollisionShape::collisionShape_, and orxonox::BaseObject::isInitialized().

## Member Function Documentation

btCollisionShape * orxonox::ConeCollisionShape::createNewShape | ( |  | ) | const`[private, virtual]`

Implements orxonox::CollisionShape.

References height_, and radius_.

float orxonox::ConeCollisionShape::getHeight | ( | void |  | ) | const`[inline]`

Referenced by XMLPort().

float orxonox::ConeCollisionShape::getRadius | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::ConeCollisionShape::registerVariables | ( |  | ) |

Reimplemented from orxonox::CollisionShape.

References height_, radius_, orxonox::Synchronisable::registerVariable(), orxonox::VariableDirection::ToClient, and orxonox::CollisionShape::updateShape().

Referenced by ConeCollisionShape().

void orxonox::ConeCollisionShape::setHeight | ( | float | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::ConeCollisionShape::setRadius | ( | float | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::ConeCollisionShape::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::CollisionShape.

References getHeight(), getRadius(), setHeight(), setRadius(), SUPER, and XMLPortParam.

## Member Data Documentation

float orxonox::ConeCollisionShape::height_`[private]`

Referenced by ConeCollisionShape(), createNewShape(), and registerVariables().

float orxonox::ConeCollisionShape::radius_`[private]`

Referenced by ConeCollisionShape(), createNewShape(), and registerVariables().

The documentation for this class was generated from the following files:

- src/orxonox/objects/collisionshapes/ConeCollisionShape.h
- src/orxonox/objects/collisionshapes/ConeCollisionShape.cc